# **simple_chips_input**
<img src="https://img.shields.io/github/stars/danger-ahead/simple_chips_input" /> <img src="https://img.shields.io/github/license/danger-ahead/simple_chips_input" />

## Features 🚀
### The working screen captures might be outdated.
### Please refer to the demo: https://simplechipsinput.vercel.app
- Create chips from user's text input and get the value after form submission.
- Select chips and get the values of the selection.
- Select only one chip at a time and get the value (acts as a toggle/radio button).
- Ability to keep some/all/none pre-selected chips (that can be later changed according to user input).
- Full customisability of the chips - keeping prefix/suffix icons (that can be changed when a particular chip is selected).
- Full customisability of the chips design - change the background color, border color, text color, etc of the chips (can be two sets of designs - one for selected chips and one for unselected chips).
- Much more!

## Contents 📚
- Create chips from user's text input and get the value after form submission. Read the [API reference](https://pub.dev/documentation/simple_chips_input/latest/simple_chips_input/simple_chips_input-library.html) for full documentation.
- Select pre-defined chips to get the value of selected chips. Read the [API reference](https://pub.dev/documentation/simple_chips_input/latest/select_chips_input/select_chips_input-library.html) for full documentation.

## Importing the package ⬇️
```dart
import 'package:simple_chips_input/simple_chips_input.dart';
import 'package:simple_chips_input/select_chips_input.dart';
```

## Working ⚙️
<img src="https://imgur.com/1UihQSa.gif" width="200px" height="auto" />
<img src="https://imgur.com/2pVOl0E.gif" width="200px" height="auto" />
<img src="https://imgur.com/1MLeFZt.gif" width="200px" height="auto" />
<img src="https://imgur.com/Crv5PlR.gif" width="200px" height="auto" />

### For example usage, refer [pub.dev example](https://pub.dev/packages/simple_chips_input/example)

### Author
[@danger-ahead](https://github.com/danger-ahead/)
